Subject: [clisp-list] RedHat 7.1 and CLISP 2.27

From: "Justice, Randy -CONT(DYN)" <[email-masked]>
Date: Thu, 30 Aug 2001 07:29:02 -0500

I installed RedHat 7.1, full installation,  and CLISP 2.27.   Both
installations seem to went well without any problems.
 
My general problem is that CLISP is running very slow. My CLISP program is
timed based - It runs an
algorithm for certain periods of time then exits. The program measures
runtime not clock time.  
It takes about 3X times longer to run the program. I have checked the
processor utilization using the "top" command.  The CLISP program always has
98%+ of the CPU.  In an attempt for a solution, I changed the "priority" of
the lisp executable from "0" to "-10".   
 
Can anyone help?   Could it be a bug in CLISP 2.27?  Could it be a bug in
RedHat?   Could it be a RedHat Admin problem?  What demons don't I need?
I'm clueless on a solution.  Should I down grade to RedHat 7.0?   Should I
down grade CLISP?   FYI the RedHat system is non GUI.  
 
I know my CLISP program works well in Windows 2000, and RedHat 7.0.     
 
Any help is welcome..
 
Randy Justice

---

From: Sam Steingold <[email-masked]>
Date: 30 Aug 2001 09:33:48 -0400

> * In message <[email-masked]>
> * On the subject of "[clisp-list] RedHat 7.1 and CLISP 2.27"
> * Sent on Thu, 30 Aug 2001 07:29:02 -0500
> * Honorable "Justice, Randy -CONT\(DYN\)" <[email-masked]> writes:
>

can you make an RPM?

> My general problem is that CLISP is running very slow. My CLISP
> program is timed based - It runs an algorithm for certain periods of
> time then exits. The program measures runtime not clock time.  It
> takes about 3X times longer to run the program.

compared to what?

> I changed the "priority" of the lisp executable from "0" to "-10".
this is not likely to help.

> Can anyone help?  Could it be a bug in CLISP 2.27?  Could it be a bug
> in RedHat?  Could it be a RedHat Admin problem?  What demons don't I
> need?  I'm clueless on a solution.  Should I down grade to RedHat 7.0?
> Should I down grade CLISP?  FYI the RedHat system is non GUI.

> I know my CLISP program works well in Windows 2000, and RedHat 7.0.     

1. please make sure that you are running compiled code on both win2k,
   rh7 and rh7.1

2. if you still observe the performance hit, get
      CLOCC/src/tools/monitor/metering.lisp
   and find out which part of the program is hit.

-- 
Sam Steingold (http://www.podval.org/~sds)
Support Israel's right to defend herself! <http://www.i-charity.com/go/israel>
Read what the Arab leaders say to their people on <http://www.memri.org/>
Software is like sex: it's better when it's free.